Eclipse Platform Release 3.7

## org.eclipse.core.runtime.model
Class PluginFragmentModel

    java.lang.Object
      org.eclipse.core.runtime.model.PluginModelObject
          org.eclipse.core.runtime.model.PluginModel
              org.eclipse.core.runtime.model.PluginFragmentModel

Deprecated. In Eclipse 3.0 the runtime was refactored and all non-essential elements removed. This class provides facilities primarily intended for tooling. As such it has been removed and no directly substitutable API provided.

    public class PluginFragmentModel

extends PluginModel

An object which represents the user-defined contents of a plug-in fragment in a plug-in manifest.

This class may be instantiated, or further subclassed.

Field Summary
`static byte` `FRAGMENT_MATCH_COMPATIBLE` Deprecated.
`static byte` `FRAGMENT_MATCH_EQUIVALENT` Deprecated.
`static byte` `FRAGMENT_MATCH_GREATER_OR_EQUAL` Deprecated.
`static byte` `FRAGMENT_MATCH_PERFECT` Deprecated.
`static byte` `FRAGMENT_MATCH_UNSPECIFIED` Deprecated.

Constructor Summary
`PluginFragmentModel()` Deprecated. Creates a new plug-in descriptor model in which all fields are `null`.

Method Summary
`byte` `getMatch()` Deprecated. Returns a byte code indicating the type of match this fragment requires when trying to find its associated plugin.
`String` `getPlugin()` Deprecated. Returns the fully qualified name of the plug-in for which this is a fragment
`String` `getPluginId()` Deprecated. Returns the unique identifier of the plug-in related to this model or `null`.
`String` `getPluginVersion()` Deprecated. Returns the version name of the plug-in for which this is a fragment.
`void` `setMatch(byte value)` Deprecated. Sets the type of match this fragment requires when trying to find its associated plugin.
`void` `setPlugin(String value)` Deprecated. Sets the fully qualified name of the plug-in for which this is a fragment This object must not be read-only.
`void` `setPluginVersion(String value)` Deprecated. Sets the version name of the plug-in for which this is a fragment.

Methods inherited from class org.eclipse.core.runtime.model.PluginModel
`getDeclaredExtensionPoints, getDeclaredExtensions, getId, getLocation, getProviderName, getRegistry, getRequires, getRuntime, getSchemaVersion, getVersion, markReadOnly, setDeclaredExtensionPoints, setDeclaredExtensions, setId, setLocalizedProviderName, setLocation, setProviderName, setRegistry, setRequires, setRuntime, setSchemaVersion, setVersion`

Methods inherited from class org.eclipse.core.runtime.model.PluginModelObject
`assertIsWriteable, getName, getStartLine, isReadOnly, setLocalizedName, setName, setStartLine, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### FRAGMENT_MATCH_UNSPECIFIED

    public static final byte FRAGMENT_MATCH_UNSPECIFIED

  Deprecated.
  See Also:
    Constant Field Values

### FRAGMENT_MATCH_PERFECT

    public static final byte FRAGMENT_MATCH_PERFECT

  Deprecated.
  See Also:
    Constant Field Values

### FRAGMENT_MATCH_EQUIVALENT

    public static final byte FRAGMENT_MATCH_EQUIVALENT

  Deprecated.
  See Also:
    Constant Field Values

### FRAGMENT_MATCH_COMPATIBLE

    public static final byte FRAGMENT_MATCH_COMPATIBLE

  Deprecated.
  See Also:
    Constant Field Values

### FRAGMENT_MATCH_GREATER_OR_EQUAL

    public static final byte FRAGMENT_MATCH_GREATER_OR_EQUAL

  Deprecated.
  See Also:
    Constant Field Values

Constructor Detail

### PluginFragmentModel

    public PluginFragmentModel()

  Deprecated.
  Creates a new plug-in descriptor model in which all fields are `null`.

Method Detail

### getMatch

    public byte getMatch()

  Deprecated.
  Returns a byte code indicating the type of match this fragment requires when trying to find its associated plugin. The byte code can be any one of the following: FRAGMENT_MATCH_UNSPECIFIED initial value FRAGMENT_MATCH_PERFECT perfectly equal match FRAGMENT_MATCH_EQUIVALENT equivalent match FRAGMENT_MATCH_COMPATIBLE compatible match FRAGMENT_MATCH_GREATER_OR_EQUAL greater than or equal to match

  Returns:
    a byte code indicating the type of match this fragment requires
  Since:
    2.0

### getPlugin

    public String getPlugin()

  Deprecated.
  Returns the fully qualified name of the plug-in for which this is a fragment

  Returns:
    the name of this fragment's plug-in or `null`.

### getPluginId

    public String getPluginId()

  Deprecated.
  Returns the unique identifier of the plug-in related to this model or `null`. This identifier is a non-empty string and is unique within the plug-in registry.

  Specified by:
    `getPluginId` in class `PluginModel`
  Returns:
    the unique identifier of the plug-in related to this model (e.g. `"com.example"`) or `null`.

### getPluginVersion

    public String getPluginVersion()

  Deprecated.
  Returns the version name of the plug-in for which this is a fragment.

  Returns:
    the version name of this fragment's plug-in or `null`

### setMatch

    public void setMatch(byte value)

  Deprecated.
  Sets the type of match this fragment requires when trying to find its associated plugin. The value parameter may be any one of the following: FRAGMENT_MATCH_UNSPECIFIED initial value FRAGMENT_MATCH_PERFECT perfectly equal match FRAGMENT_MATCH_EQUIVALENT equivalent match FRAGMENT_MATCH_COMPATIBLE compatible match FRAGMENT_MATCH_GREATER_OR_EQUAL greater than or equal to match This object must not be read-only.

  Parameters:
    `value` - the type of match required with the associated plugin
  Since:
    2.0

### setPlugin

    public void setPlugin(String value)

  Deprecated.
  Sets the fully qualified name of the plug-in for which this is a fragment This object must not be read-only.

  Parameters:
    `value` - the name of this fragment's plug-in. May be `null`.

### setPluginVersion

    public void setPluginVersion(String value)

  Deprecated.
  Sets the version name of the plug-in for which this is a fragment. The given version number is canonicalized. This object must not be read-only.

  Parameters:
    `value` - the version name of this fragment's plug-in. May be `null`.

Eclipse Platform Release 3.7

Guidelines for using Eclipse APIs.

Copyright (c) Eclipse contributors and others 2000, 2011. All rights reserved.